version: "3.1"

services:

  faircoin:
    build:
      context: ./
      args:
        source_repository: "https://github.com/faircoin/faircoin.git"
        GITLAB_RUNNER_UID: "${GITLAB_RUNNER_UID}"
        GITLAB_RUNNER_GID: "${GITLAB_RUNNER_GID}"
    container_name: FairCoin.Co-faircoind
    restart: always
    command: '-disablewallet -conf="${FAIRCOIN_CONF}"'
#    command: '-disablewallet -conf="${FAIRCOIN_CONF}" -blocknotify="${BLOCKNOTIFY}"'
    network_mode: "host"
    user: "${GITLAB_RUNNER_UID}:${GITLAB_RUNNER_GID}"
    volumes:
      - ~/.faircoin2:/home/faircoin/.faircoin2
